#ifdef __STDC__
# define	P(s) s
#else
# define P(s) ()
#endif


/* gabor.c */
void save_norm_double_pgm P((double *double_im , int w , int h , char *fname ));
void create_filter_kernels P((void ));
void gabor_filter P((double *image , int width , int height , int filter_scale , int n_theta , double *output ));
void main P((int argc , char *argv []));

/* rgb2hsv_utils.c */
double max3 P((double v1 , double v2 , double v3 ));
double min3 P((double v1 , double v2 , double v3 ));
void count_to_coords P((int *coords , int c , int *r , int d ));
int coords_to_count P((int *coords , int *r , int d ));
void rgb2hsv P((double R , double G , double B , double *H , double *S , double *V ));
void hsv2rgb P((double H , double S , double V , double *R , double *G , double *B ));
enum ppm_error rgb2hsv_ppm P((PPM *im_rgb , PPM **im_hsv ));
enum ppm_error hsv2rgb_ppm P((PPM *im_hsv , PPM **im_rgb ));
void polar_to_hsv P((double x , double y , int dim , double *H , double *S ));
PPM *hsv_test_pattern P((int dim , double V ));

#undef P
